@ECHO OFF
REM invoking latexdiff perl script
SET miktexperl=C:\Programme\MiKTeX 2.8\miktex\bin\perl.exe
SET activeperl=C:\Perl\bin\perl.exe
SET latexdiffarg=--debug
SET latexcommand=pdflatex -interaction=nonstopmode -synctex=-1 "\pdfoutput=1 " "\input" 
REM ---
SET plscriptdir=C:\Programme\MiKTeX 2.8\scripts\texdiff\perl\
SET perlscriptf=%plscriptdir%texdiff.pl
SET outfile=%~n2_diff.tex
SET line=----------------------------------------------------------------------------
REM ############################################################################### *
REM Portability of latexdiff:                                                       *
REM The standard version of latexdiff requires installation of the Perl package     *
REM Algorithm::Diff (available from www.cpan.org -                                  *
REM http://search.cpan.org/~nedkonz/Algorithm-Diff-1.15 )                           *
REM but a stand-alone version, latexdiff-so, which has this package inlined,        *
REM is available, too. latexdiff-fast requires the diff command to be present.      *
REM ############################################################################### *
REM Installation under MiKTeX                                                       *
REM download file "install-tl.zip" it contains perl stuff                           *
REM you may need:                                                                   *
REM - strict.pm                                                                     *
REM copy these files to proper place, e.g.:                                         *
REM C:\Programme\MiKTeX 2.8\miktex\lib\site                                         *
REM ############################################################################### *


ECHO."%activeperl%" "%perlscriptf%" %latexdiffarg% %1 %2 ^> "%outfile%"
"%activeperl%" -v
ECHO.%line%
ECHO.
"%activeperl%" "%perlscriptf%" %latexdiffarg% %1 %2 > "%outfile%"
ECHO.%line%
ECHO.
ECHO.%latexcommand% %outfile%
ECHO.%line%
ECHO.
%latexcommand% %outfile%

